Subject: bug#42595: conflicts in propagated imports must be resolved manually

From: "Dr. Arne Babenhauserheide" <[email-masked]>
Date: Wed, 29 Jul 2020 09:54:07 +0200

Hi,

When I get conflicts in propagated imports, I must follow a mechanical
multi-step process to resolve them manually.

A recent example: I wanted to install guile-gi. In the first step I was
told to also update python-pycairo, and in the next steps I had to add,
one by one,

dbus-glib cairo guile-charting libsoup poppler pango

And now I gave up. I’m now here and out of time:

LANG=C guix package -i guile-gi python-pycairo dbus-glib cairo guile-charting libsoup poppler pango
The following packages will be upgraded:
   python-pycairo (dependencies or package changed)
   dbus-glib      (dependencies or package changed)
   cairo          (dependencies or package changed)
   guile-charting (dependencies or package changed)
   libsoup        (dependencies or package changed)
   poppler        (dependencies or package changed)
   pango          (dependencies or package changed)

The following package will be installed:
   guile-gi 0.3.0

guix package: error: profile contains conflicting entries for glib
guix package: error:   first entry: [email-masked] /gnu/store/xr6zfqxklmr7skalljn5i071xmgqxbrm-glib-2.62.6
guix package: error:    ... propagated from [email-masked]
guix package: error:    ... propagated from [email-masked]
guix package: error:   second entry: [email-masked] /gnu/store/q4100sjqcsdi6b232ndr93vxfzv9bzij-glib-2.62.6
guix package: error:    ... propagated from [email-masked]

This should be automated, so there would be just one step to add all
updates I need.
-- 
Unpolitisch sein
heißt politisch sein
ohne es zu merken